Bug 55975 - cvs update -D <anything> segfaults
Summary: cvs update -D <anything> segfaults
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-09 18:30 UTC by Bill Crawford
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 13:59:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Crawford 2001-11-09 18:30:33 UTC
[bill@marcus openal-old]$ cvs -q -z3 update -dP -D'2000-10-23 23:00'
Terminated with fatal signal 11

[bill@marcus openal-old]$ cvs -z3 update -dP -D'2000-10-23 23:00'
cvs server: Updating .
cvs server: Updating beos
cvs server: Updating beos/include
cvs server: Updating beos/include/AL
cvs server: Updating beos/samples
cvs server: Updating beos/samples/data
cvs server: Updating beos/src
cvs server: Updating beos/test
Terminated with fatal signal 11

[bill@marcus openal-old]$ cvs -z3 -t update -dP -D'2000-10-23 23:00'
 -> main loop with CVSROOT=:pserver:guest@cvs.lokigames.com:/cvs
 -> Connecting to cvs.lokigames.com(63.80.144.83):2401
S-> unlink(CVS/Entries.Static)
S-> unlink(./CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(beos/CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(include/CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
 -> unlink_file(CVS/Entries.Static)
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating .
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/include
S-> unlink(CVS/Entries.Log)
S-> unlink(AL/CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/include/AL
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(samples/CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(data/CVS/Entries.Static)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(src/CVS/Entries.Static)
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/samples
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/samples/data
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/src
S-> rename(CVS/Entries.Backup,CVS/Entries)
S-> unlink(CVS/Entries.Log)
S-> unlink(test/CVS/Entries.Static)
 -> unlink_file(CVS/Entries.Static)
cvs server: Updating beos/test
Terminated with fatal signal 11


Note You need to log in before you can comment on or make changes to this bug.